<?xml version="1.0" encoding="UTF-8"?>
<CleanDataService xmlns="http://soap.sforce.com/2006/04/metadata">
    <cleanRules>
        <bulkEnabled>true</bulkEnabled>
        <bypassTriggers>false</bypassTriggers>
        <bypassWorkflow>true</bypassWorkflow>
        <description>Integrates geocodes with the Address field on Service Appointment</description>
        <developerName>ServiceAppointment_Geo_Clean_Rule_for_Address</developerName>
        <fieldMappings>
            <SObjectType>DatacloudAddress</SObjectType>
            <developerName>Geocodes for Service Appointment AddressInputMapping</developerName>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Street</dataServiceField>
                    <dataServiceObjectName>ServiceAppointment</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>AddressLine1</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>City</dataServiceField>
                    <dataServiceObjectName>ServiceAppointment</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>City</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>PostalCode</dataServiceField>
                    <dataServiceObjectName>ServiceAppointment</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>PostalCode</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>State</dataServiceField>
                    <dataServiceObjectName>ServiceAppointment</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>State</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Country</dataServiceField>
                    <dataServiceObjectName>ServiceAppointment</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>Country</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <masterLabel>ServiceAppointmentGeoInputMapping</masterLabel>
        </fieldMappings>
        <fieldMappings>
            <SObjectType>ServiceAppointment</SObjectType>
            <developerName>ServiceAppointment_Geo_Clean_Rule_for_AddressOutputMapping</developerName>
            <fieldMappingRows>
                <SObjectType>ServiceAppointment</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>GeoAccuracyNum</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>GeocodeAccuracy</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>ServiceAppointment</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Latitude</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>Latitude</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>ServiceAppointment</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Longitude</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>Longitude</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <masterLabel>ServiceAppointmentGeoOutputMapping</masterLabel>
        </fieldMappings>
        <masterLabel>Geocodes for Service Appointment Address</masterLabel>
        <matchRule>DatacloudAddressMatchRule</matchRule>
        <sourceSobjectType>DatacloudAddress</sourceSobjectType>
        <status>Active</status>
        <targetSobjectType>ServiceAppointment</targetSobjectType>
    </cleanRules>
    <cleanRules>
        <bulkEnabled>true</bulkEnabled>
        <bypassTriggers>false</bypassTriggers>
        <bypassWorkflow>true</bypassWorkflow>
        <description>Integrates geocodes with the Address field on Resource Absence</description>
        <developerName>ResourceAbsence_Geo_Clean_Rule_for_Address</developerName>
        <fieldMappings>
            <SObjectType>DatacloudAddress</SObjectType>
            <developerName>Geocodes for Resource Absence AddressInputMapping</developerName>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Street</dataServiceField>
                    <dataServiceObjectName>ResourceAbsence</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>AddressLine1</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>City</dataServiceField>
                    <dataServiceObjectName>ResourceAbsence</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>City</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>PostalCode</dataServiceField>
                    <dataServiceObjectName>ResourceAbsence</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>PostalCode</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>State</dataServiceField>
                    <dataServiceObjectName>ResourceAbsence</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>State</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Country</dataServiceField>
                    <dataServiceObjectName>ResourceAbsence</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>Country</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <masterLabel>ResourceAbsenceGeoInputMapping</masterLabel>
        </fieldMappings>
        <fieldMappings>
            <SObjectType>ResourceAbsence</SObjectType>
            <developerName>ResourceAbsence_Geo_Clean_Rule_for_AddressOutputMapping</developerName>
            <fieldMappingRows>
                <SObjectType>ResourceAbsence</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>GeoAccuracyNum</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>GeocodeAccuracy</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>ResourceAbsence</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Latitude</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>Latitude</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>ResourceAbsence</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Longitude</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>Longitude</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <masterLabel>ResourceAbsenceGeoOutputMapping</masterLabel>
        </fieldMappings>
        <masterLabel>Geocodes for Resource Absence Address</masterLabel>
        <matchRule>DatacloudAddressMatchRule</matchRule>
        <sourceSobjectType>DatacloudAddress</sourceSobjectType>
        <status>Active</status>
        <targetSobjectType>ResourceAbsence</targetSobjectType>
    </cleanRules>
    <cleanRules>
        <bulkEnabled>true</bulkEnabled>
        <bypassTriggers>false</bypassTriggers>
        <bypassWorkflow>true</bypassWorkflow>
        <description>Integrates geocodes with the Address field on Service Territory</description>
        <developerName>ServiceTerritory_Geo_Clean_Rule_for_Address</developerName>
        <fieldMappings>
            <SObjectType>DatacloudAddress</SObjectType>
            <developerName>Geocodes for Service Territory AddressInputMapping</developerName>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Street</dataServiceField>
                    <dataServiceObjectName>ServiceTerritory</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>AddressLine1</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>City</dataServiceField>
                    <dataServiceObjectName>ServiceTerritory</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>City</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>PostalCode</dataServiceField>
                    <dataServiceObjectName>ServiceTerritory</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>PostalCode</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>State</dataServiceField>
                    <dataServiceObjectName>ServiceTerritory</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>State</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Country</dataServiceField>
                    <dataServiceObjectName>ServiceTerritory</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>Country</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <masterLabel>ServiceTerritoryGeoInputMapping</masterLabel>
        </fieldMappings>
        <fieldMappings>
            <SObjectType>ServiceTerritory</SObjectType>
            <developerName>ServiceTerritory_Geo_Clean_Rule_for_AddressOutputMapping</developerName>
            <fieldMappingRows>
                <SObjectType>ServiceTerritory</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>GeoAccuracyNum</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>GeocodeAccuracy</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>ServiceTerritory</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Latitude</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>Latitude</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>ServiceTerritory</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Longitude</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>Longitude</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <masterLabel>ServiceTerritoryGeoOutputMapping</masterLabel>
        </fieldMappings>
        <masterLabel>Geocodes for Service Territory Address</masterLabel>
        <matchRule>DatacloudAddressMatchRule</matchRule>
        <sourceSobjectType>DatacloudAddress</sourceSobjectType>
        <status>Active</status>
        <targetSobjectType>ServiceTerritory</targetSobjectType>
    </cleanRules>
    <cleanRules>
        <bulkEnabled>true</bulkEnabled>
        <bypassTriggers>false</bypassTriggers>
        <bypassWorkflow>true</bypassWorkflow>
        <description>Integrates geocodes with the Address field on Service Territory Member</description>
        <developerName>ServiceTerritoryMember_Geo_Clean_Rule_for_Address</developerName>
        <fieldMappings>
            <SObjectType>DatacloudAddress</SObjectType>
            <developerName>Geocodes for Service Territory Member AddressInputMapping</developerName>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Street</dataServiceField>
                    <dataServiceObjectName>ServiceTerritoryMember</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>AddressLine1</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>City</dataServiceField>
                    <dataServiceObjectName>ServiceTerritoryMember</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>City</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>PostalCode</dataServiceField>
                    <dataServiceObjectName>ServiceTerritoryMember</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>PostalCode</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>State</dataServiceField>
                    <dataServiceObjectName>ServiceTerritoryMember</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>State</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Country</dataServiceField>
                    <dataServiceObjectName>ServiceTerritoryMember</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>Country</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <masterLabel>ServiceTerritoryMemberGeoInputMapping</masterLabel>
        </fieldMappings>
        <fieldMappings>
            <SObjectType>ServiceTerritoryMember</SObjectType>
            <developerName>ServiceTerritoryMember_Geo_Clean_Rule_for_AddressOutputMapping</developerName>
            <fieldMappingRows>
                <SObjectType>ServiceTerritoryMember</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>GeoAccuracyNum</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>GeocodeAccuracy</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>ServiceTerritoryMember</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Latitude</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>Latitude</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>ServiceTerritoryMember</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Longitude</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>Longitude</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <masterLabel>ServiceTerritoryMemberGeoOutputMapping</masterLabel>
        </fieldMappings>
        <masterLabel>Geocodes for Service Territory Member Address</masterLabel>
        <matchRule>DatacloudAddressMatchRule</matchRule>
        <sourceSobjectType>DatacloudAddress</sourceSobjectType>
        <status>Active</status>
        <targetSobjectType>ServiceTerritoryMember</targetSobjectType>
    </cleanRules>
    <cleanRules>
        <bulkEnabled>true</bulkEnabled>
        <bypassTriggers>true</bypassTriggers>
        <bypassWorkflow>true</bypassWorkflow>
        <description>Adds geocodes for Billing Address</description>
        <developerName>Account_Geo_Clean_Rule_for_Billing_Address</developerName>
        <fieldMappings>
            <SObjectType>Account</SObjectType>
            <developerName>Account_Geo_Clean_Rule_for_Billing_AddressOutputMapping</developerName>
            <fieldMappingRows>
                <SObjectType>Account</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>GeoAccuracyNum</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>BillingGeocodeAccuracy</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>Account</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Latitude</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>BillingLatitude</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>Account</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Longitude</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>BillingLongitude</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <masterLabel>AccountBillingOutputMapping</masterLabel>
        </fieldMappings>
        <fieldMappings>
            <SObjectType>DatacloudAddress</SObjectType>
            <developerName>Account_Geo_Clean_Rule_for_Billing_AddressInputMapping</developerName>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>BillingStreet</dataServiceField>
                    <dataServiceObjectName>Account</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>AddressLine1</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>BillingCity</dataServiceField>
                    <dataServiceObjectName>Account</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>City</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>BillingPostalCode</dataServiceField>
                    <dataServiceObjectName>Account</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>PostalCode</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>BillingState</dataServiceField>
                    <dataServiceObjectName>Account</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>State</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>BillingCountry</dataServiceField>
                    <dataServiceObjectName>Account</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>Country</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <masterLabel>AccountBillingInputMapping</masterLabel>
        </fieldMappings>
        <masterLabel>Geocodes for Account Billing Address</masterLabel>
        <matchRule>DatacloudAddressMatchRule</matchRule>
        <sourceSobjectType>DatacloudAddress</sourceSobjectType>
        <status>Inactive</status>
        <targetSobjectType>Account</targetSobjectType>
    </cleanRules>
    <cleanRules>
        <bulkEnabled>true</bulkEnabled>
        <bypassTriggers>true</bypassTriggers>
        <bypassWorkflow>true</bypassWorkflow>
        <description>Adds geocodes for Shipping Address</description>
        <developerName>Account_Geo_Clean_Rule_for_Shipping_Address</developerName>
        <fieldMappings>
            <SObjectType>DatacloudAddress</SObjectType>
            <developerName>Account_Geo_Clean_Rule_for_Shipping_AddressInputMapping</developerName>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>ShippingStreet</dataServiceField>
                    <dataServiceObjectName>Account</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>AddressLine1</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>ShippingCity</dataServiceField>
                    <dataServiceObjectName>Account</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>City</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>ShippingPostalCode</dataServiceField>
                    <dataServiceObjectName>Account</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>PostalCode</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>ShippingState</dataServiceField>
                    <dataServiceObjectName>Account</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>State</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>ShippingCountry</dataServiceField>
                    <dataServiceObjectName>Account</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>Country</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <masterLabel>AccountShippingInputMapping</masterLabel>
        </fieldMappings>
        <fieldMappings>
            <SObjectType>Account</SObjectType>
            <developerName>Account_Geo_Clean_Rule_for_Shipping_AddressOutputMapping</developerName>
            <fieldMappingRows>
                <SObjectType>Account</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>GeoAccuracyNum</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>ShippingGeocodeAccuracy</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>Account</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Latitude</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>ShippingLatitude</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>Account</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Longitude</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>ShippingLongitude</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <masterLabel>AccountShippingOutputMapping</masterLabel>
        </fieldMappings>
        <masterLabel>Geocodes for Account Shipping Address</masterLabel>
        <matchRule>DatacloudAddressMatchRule</matchRule>
        <sourceSobjectType>DatacloudAddress</sourceSobjectType>
        <status>Inactive</status>
        <targetSobjectType>Account</targetSobjectType>
    </cleanRules>
    <cleanRules>
        <bulkEnabled>true</bulkEnabled>
        <bypassTriggers>true</bypassTriggers>
        <bypassWorkflow>true</bypassWorkflow>
        <description>Adds geocodes for Mailing Address</description>
        <developerName>Contact_Geo_Clean_Rule_for_Mailing_Address</developerName>
        <fieldMappings>
            <SObjectType>Contact</SObjectType>
            <developerName>Contact_Geo_Clean_Rule_for_Mailing_AddressOutputMapping</developerName>
            <fieldMappingRows>
                <SObjectType>Contact</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>GeoAccuracyNum</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>MailingGeocodeAccuracy</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>Contact</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Latitude</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>MailingLatitude</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>Contact</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Longitude</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>MailingLongitude</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <masterLabel>ContactOutputMapping</masterLabel>
        </fieldMappings>
        <fieldMappings>
            <SObjectType>DatacloudAddress</SObjectType>
            <developerName>Contact_Geo_Clean_Rule_for_Mailing_AddressInputMapping</developerName>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>MailingStreet</dataServiceField>
                    <dataServiceObjectName>Contact</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>AddressLine1</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>MailingCity</dataServiceField>
                    <dataServiceObjectName>Contact</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>City</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>MailingPostalCode</dataServiceField>
                    <dataServiceObjectName>Contact</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>PostalCode</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>MailingState</dataServiceField>
                    <dataServiceObjectName>Contact</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>State</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>MailingCountry</dataServiceField>
                    <dataServiceObjectName>Contact</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>Country</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <masterLabel>ContactInputMapping</masterLabel>
        </fieldMappings>
        <masterLabel>Geocodes for Contact Mailing Address</masterLabel>
        <matchRule>DatacloudAddressMatchRule</matchRule>
        <sourceSobjectType>DatacloudAddress</sourceSobjectType>
        <status>Inactive</status>
        <targetSobjectType>Contact</targetSobjectType>
    </cleanRules>
    <cleanRules>
        <bulkEnabled>true</bulkEnabled>
        <bypassTriggers>true</bypassTriggers>
        <bypassWorkflow>true</bypassWorkflow>
        <description>Adds geocodes for Address</description>
        <developerName>Lead_Geo_Clean_Rule_for_Address</developerName>
        <fieldMappings>
            <SObjectType>Lead</SObjectType>
            <developerName>Lead_Geo_Clean_Rule_for_AddressOutputMapping</developerName>
            <fieldMappingRows>
                <SObjectType>Lead</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>GeoAccuracyNum</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>GeocodeAccuracy</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>Lead</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Latitude</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>Latitude</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>Lead</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Longitude</dataServiceField>
                    <dataServiceObjectName>DatacloudAddress</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>Longitude</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <masterLabel>LeadOutputMapping</masterLabel>
        </fieldMappings>
        <fieldMappings>
            <SObjectType>DatacloudAddress</SObjectType>
            <developerName>Lead_Geo_Clean_Rule_for_AddressInputMapping</developerName>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Street</dataServiceField>
                    <dataServiceObjectName>Lead</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>AddressLine1</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>City</dataServiceField>
                    <dataServiceObjectName>Lead</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>City</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>PostalCode</dataServiceField>
                    <dataServiceObjectName>Lead</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>PostalCode</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>State</dataServiceField>
                    <dataServiceObjectName>Lead</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>State</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <fieldMappingRows>
                <SObjectType>DatacloudAddress</SObjectType>
                <fieldMappingFields>
                    <dataServiceField>Country</dataServiceField>
                    <dataServiceObjectName>Lead</dataServiceObjectName>
                    <priority>1</priority>
                </fieldMappingFields>
                <fieldName>Country</fieldName>
                <mappingOperation>Autofill</mappingOperation>
            </fieldMappingRows>
            <masterLabel>LeadInputMapping</masterLabel>
        </fieldMappings>
        <masterLabel>Geocodes for Lead Address</masterLabel>
        <matchRule>DatacloudAddressMatchRule</matchRule>
        <sourceSobjectType>DatacloudAddress</sourceSobjectType>
        <status>Inactive</status>
        <targetSobjectType>Lead</targetSobjectType>
    </cleanRules>
    <description>Data.com Geo</description>
    <masterLabel>Data.com Geo</masterLabel>
    <matchEngine>DatacloudAddressMatchEngine</matchEngine>
</CleanDataService>
